> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xsdr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Platform Syntax



## OpenAPI

````yaml /openapi.json post /platforms/syntax
openapi: 3.0.0
info:
  description: Real-time event monitoring infrastructure for agents.
  title: XSDR API
  version: '1'
servers:
  - description: Production
    url: https://api.xsdr.app
security:
  - apiKey: []
paths:
  /platforms/syntax:
    post:
      summary: Get Platform Syntax
      operationId: getPlatformSyntax
      requestBody:
        content:
          application/json:
            schema:
              properties:
                platforms:
                  items:
                    type: string
                  type: array
              required:
                - platforms
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  platforms:
                    additionalProperties:
                      $ref: '#/components/schemas/platforms.PlatformSyntax'
                    type: object
                required:
                  - platforms
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    platforms.PlatformSyntax:
      description: |
        construct queries itself without any LLM call on XSDR's backend.
      properties:
        description:
          type: string
        docs:
          type: string
        examples:
          items:
            type: string
          type: array
      required:
        - description
        - docs
        - examples
      title: |
        PlatformSyntax is returned by xsdr_get_platform_syntax so the agent can
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````